Bug 28072 - anaconda's loader.c has incorrect umount() call
anaconda's loader.c has incorrect umount() call
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Erik Troan
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-16 20:37 EST by Jim Wright
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-20 14:33:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Wright 2001-02-16 20:37:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-22 i686)


In loader/loader.c, the following code appears:

    mlLoadModule("nfs", NULL, modLoaded, *modDepsPtr, NULL, NULL, flags);

    if (doPwMount(ksPath, "/tmp/nfskd", "nfs", 1, 0, NULL, NULL)) {
        logMessage("failed to mount %s", ksPath);
        return 1;
    }

    fullFn = malloc(strlen(file) + 20);
    sprintf(fullFn, "/tmp/nfskd/%s", file);
    copyFile(fullFn, location);

    umount("/tmp/nfs");

The last line should be

    umount("/tmp/nfskd");


Reproducible: Always
Steps to Reproduce:
1. do a kickstart install using a config file on an nfs server

	

Actual Results:   notice that /tmp/nfskd does not get unmounted


Expected Results:   /tmp/nfskd should be unmounted after the kickstart
config file is copied
Comment 1 Erik Troan 2001-02-20 15:30:07 EST
<blush> Fixed.
Comment 2 Glen Foster 2001-03-02 13:05:34 EST
Our installer team-lead thinks we should really fix this before next release.

Note You need to log in before you can comment on or make changes to this bug.